#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		sh
%define 	egg_name	sh
%define		pypi_name	sh
Summary:	Python subprocess interface
Name:		python-%{module}
Version:	1.11
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	7af8df6c92d29ff927b6db0146bddec3
URL:		https://amoffat.github.io/sh/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sh (previously pbs) is a full-fledged subprocess replacement for
Python 2.6 - 3.4 that allows you to call any program as if it were a
function

%package -n python3-%{module}
Summary:	SH module for python 3
Summary(pl.UTF-8):	Moduł sh dla pythona 3
Group:		Libraries/Python

%description -n python3-%{module}
sh (previously pbs) is a full-fledged subprocess replacement for
Python 2.6 - 3.4 that allows you to call any program as if it were a
function

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md
%{py_sitescriptdir}/%{module}.py[co]
%{py_sitescriptdir}/%{egg_name}-*-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md
%{py3_sitescriptdir}/__pycache__/%{module}.*.pyc
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/%{egg_name}-*-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sh.git;a=log;h=auto/th/python-sh-1.11-4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 39e160c
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 86cfb24
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> eb383fd
- python 3.6
- release 2 (by relup.sh)

* Mon Jul 11 2016 Elan Ruusamäe <glen@delfi.ee> 3dd42d7
- up to 1.11; finished .spec

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e1e12f0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d1116e6
- automatic change: use py_build/py_install macros

* Thu Sep 18 2014 Mariusz Mazur <mmazur@axeos.com> 11808d0
- Initial 1.08-1; works

